com.pdfunit.validators

## Class MultiDocumentCompliesWithValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentCompliesWithValidator

-     @DoNotObfuscate
      public final class MultiDocumentCompliesWithValidator
      extends java.lang.Object

  This class is a wrapper around the CompliesWithValidator to validate methods following this: ...compliesWith().xx().
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `CompliesWithValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentCompliesWithValidator(MultiDocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentCompliesWithValidator` | `constraints(PDFValidationConstraints validationConstraints)`
    `MultiDocumentCompliesWithValidator` | `din5008FormA()`
    `MultiDocumentCompliesWithValidator` | `din5008FormB()`
    `MultiDocumentCompliesWithValidator` | `pdfStandard(Standard standard)`
    `MultiDocumentCompliesWithValidator` | `zugferdSpecification(ZugferdVersion version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentCompliesWithValidator

          protected MultiDocumentCompliesWithValidator(MultiDocumentValidator backReference)

  - ### Method Detail

    - #### zugferdSpecification

          @Guarded
          public MultiDocumentCompliesWithValidator zugferdSpecification(ZugferdVersion version)

    - #### constraints

          @Guarded
          public MultiDocumentCompliesWithValidator constraints(PDFValidationConstraints validationConstraints)

    - #### din5008FormA

          public MultiDocumentCompliesWithValidator din5008FormA()

    - #### din5008FormB

          public MultiDocumentCompliesWithValidator din5008FormB()

    - #### pdfStandard

          @Guarded
          public MultiDocumentCompliesWithValidator pdfStandard(Standard standard)

Copyright (C) PDFUnit.com. See here for license.